org.apache.activemq.artemis.api.core

## Class RefCountMessage

- java.lang.Object
- - org.apache.activemq.artemis.api.core.RefCountMessage

- All Implemented Interfaces:
    Message

      public abstract class RefCountMessage
      extends Object
      implements Message

- - ### Field Summary

    - ### Fields inherited from interface org.apache.activemq.artemis.api.core.Message

      `BYTES_TYPE, DEFAULT_TYPE, EMBEDDED_TYPE, HDR_ACTUAL_EXPIRY_TIME, HDR_BRIDGE_DUPLICATE_ID, HDR_CONTENT_TYPE, HDR_DUPLICATE_DETECTION_ID, HDR_GROUP_ID, HDR_GROUP_SEQUENCE, HDR_LARGE_BODY_SIZE, HDR_LARGE_COMPRESSED, HDR_LAST_VALUE_NAME, HDR_ORIG_MESSAGE_ID, HDR_ORIGINAL_ADDRESS, HDR_ORIGINAL_QUEUE, HDR_PREFIX, HDR_ROUTE_TO_ACK_IDS, HDR_ROUTE_TO_IDS, HDR_ROUTING_TYPE, HDR_SCALEDOWN_TO_IDS, HDR_SCHEDULED_DELIVERY_TIME, HDR_VALIDATED_USER, MAP_TYPE, memoryOffset, OBJECT_TYPE, STREAM_TYPE, TEXT_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RefCountMessage()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `decrementDurableRefCount()`
    `int` | `decrementRefCount()`
    `RefCountMessageListener` | `getContext()` Context can be used by the application server to inject extra control, like a protocol specific on the server.
    `int` | `getRefCount()`
    `int` | `incrementDurableRefCount()`
    `int` | `incrementRefCount()`
    `Message` | `setContext(RefCountMessageListener context)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.activemq.artemis.api.core.Message

      `acceptsConsumer, clearInternalProperties, containsProperty, containsProperty, copy, copy, getAddress, getAddressSimpleString, getAnnotation, getAnnotationString, getBodyBuffer, getBodyInputStream, getBooleanProperty, getBooleanProperty, getBuffer, getByteProperty, getByteProperty, getBytesProperty, getBytesProperty, getConnectionID, getCorrelationID, getDoubleProperty, getDoubleProperty, getDuplicateIDBytes, getDuplicateProperty, getEncodeSize, getExpiration, getExtraBytesProperty, getFloatProperty, getFloatProperty, getGroupID, getGroupSequence, getIntProperty, getIntProperty, getLastValueProperty, getLongProperty, getLongProperty, getMemoryEstimate, getMessageID, getObjectProperty, getObjectProperty, getPersistentSize, getPersister, getPersistSize, getPriority, getPropertyNames, getReplyTo, getRoutingType, getScheduledDeliveryTime, getShortProperty, getShortProperty, getSimpleStringProperty, getSimpleStringProperty, getStringProperty, getStringProperty, getTimestamp, getType, getUserID, getValidatedUserID, isDurable, isExpired, isLargeMessage, messageChanged, persist, putBooleanProperty, putBooleanProperty, putByteProperty, putByteProperty, putBytesProperty, putBytesProperty, putCharProperty, putCharProperty, putDoubleProperty, putDoubleProperty, putExtraBytesProperty, putFloatProperty, putFloatProperty, putIntProperty, putIntProperty, putLongProperty, putLongProperty, putObjectProperty, putObjectProperty, putShortProperty, putShortProperty, putStringProperty, putStringProperty, putStringProperty, receiveBuffer, reencode, referenceOriginalMessage, rejectConsumer, releaseBuffer, reloadPersistence, removeAnnotation, removeExtraBytesProperty, removeProperty, removeProperty, sendBuffer, setAddress, setAddress, setAnnotation, setBuffer, setConnectionID, setCorrelationID, setDurable, setExpiration, setGroupID, setGroupID, setGroupSequence, setLastValueProperty, setMessageID, setPriority, setReplyTo, setRoutingType, setScheduledDeliveryTime, setTimestamp, setType, setUserID, setValidatedUserID, toCore, toCore, toMap, toPropertyMap`

- - ### Constructor Detail

    - #### RefCountMessage

          public RefCountMessage()

  - ### Method Detail

    - #### setContext

          public Message setContext(RefCountMessageListener context)

      Specified by:
        `setContext` in interface `Message`

    - #### getContext

          public RefCountMessageListener getContext()

      Description copied from interface: `Message`
      Context can be used by the application server to inject extra control, like a protocol specific on the server. There is only one per Object, use it wisely! Note: the intent of this was to replace PageStore reference on Message, but it will be later increased by adidn a ServerPojo
      Specified by:
        `getContext` in interface `Message`

    - #### getRefCount

          public int getRefCount()

      Specified by:
        `getRefCount` in interface `Message`

    - #### incrementRefCount

          public int incrementRefCount()
                                throws Exception

      Specified by:
        `incrementRefCount` in interface `Message`
      Throws:
        `Exception`

    - #### incrementDurableRefCount

          public int incrementDurableRefCount()

      Specified by:
        `incrementDurableRefCount` in interface `Message`

    - #### decrementDurableRefCount

          public int decrementDurableRefCount()

      Specified by:
        `decrementDurableRefCount` in interface `Message`

    - #### decrementRefCount

          public int decrementRefCount()
                                throws Exception

      Specified by:
        `decrementRefCount` in interface `Message`
      Throws:
        `Exception`

Copyright © 2019 The Apache Software Foundation. All rights reserved.